Bug 1007615 - Review Request: adobe-source-code-pro-fonts - A set of mono-spaced OpenType fonts designed for coding environments
Summary: Review Request: adobe-source-code-pro-fonts - A set of mono-spaced OpenType f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 860249 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-13 00:26 UTC by Matt Rose
Modified: 2014-02-18 17:36 UTC (History)
24 users (show)

Fixed In Version: adobe-source-code-pro-fonts-1.017-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 860249
Environment:
Last Closed: 2013-09-16 00:23:03 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Matt Rose 2013-09-13 00:26:51 UTC
+++ This bug was initially created as a clone of Bug #860249 +++

--- Additional comment from Dan Mashal on 2013-09-11 05:20:38 EDT ---

There is a lot of noise with this review so I'm just going to get this over with.


Naming: OK (cant find any dupes with files or naming)
Licensing: OK (OFL/SIL)
Build on rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5921976
Build on f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5921978
Build on el6: https://koji.fedoraproject.org/koji/taskinfo?taskID=5921980

Installing the package was successful.

Not too sure how to test.

fedora-review results:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: adobe-source-code-pro-fonts-1.017-2.fc19.noarch.rpm
          adobe-source-code-pro-fonts-1.017-2.fc19.src.rpm
adobe-source-code-pro-fonts.src: E: specfile-error warning: bogus date in %changelog: Tue Nov 18 2012 Tobias Florek me@ibotty.net - 1.010-2
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint adobe-source-code-pro-fonts
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
adobe-source-code-pro-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    config(adobe-source-code-pro-fonts)
    fontpackages-filesystem



Provides
--------
adobe-source-code-pro-fonts:
    adobe-source-code-pro-fonts
    config(adobe-source-code-pro-fonts)
    font(:lang=aa)
    font(:lang=af)
    font(:lang=an)
    font(:lang=ast)
    font(:lang=ay)
    font(:lang=az-az)
    font(:lang=bi)
    font(:lang=bin)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=ca)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gn)
    font(:lang=gv)
    font(:lang=haw)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ig)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kwm)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=nv)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=qu)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ro)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=sg)
    font(:lang=shs)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sm)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=to)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=ty)
    font(:lang=uz)
    font(:lang=vi)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(sourcecodepro)
    font(sourcecodeproblack)
    font(sourcecodeproextralight)
    font(sourcecodeprolight)
    font(sourcecodepromedium)
    font(sourcecodeprosemibold)



Source checksums
----------------
http://downloads.sourceforge.net/project/sourcecodepro.adobe/SourceCodePro_FontsOnly-1.017.zip :
  CHECKSUM(SHA256) this package     : 8136b4686309c428ef073356ab178c2f7e8f7b6fadd5a6c61b6a20646377b21f
  CHECKSUM(SHA256) upstream package : 8136b4686309c428ef073356ab178c2f7e8f7b6fadd5a6c61b6a20646377b21f


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 860249
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


Non blockers:

$ rpmlint ./adobe-source-code-pro-fonts-1.017-2.fc18.src.rpm 
adobe-source-code-pro-fonts.src: E: specfile-error warning: bogus date in %changelog: Tue Nov 18 2012 Tobias Florek me@ibotty.net - 1.010-2
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

$ rpmlint ./adobe-source-code-pro-fonts.spec 
./adobe-source-code-pro-fonts.spec: E: specfile-error warning: bogus date in %changelog: Tue Nov 18 2012 Tobias Florek me@ibotty.net - 1.010-2
0 packages and 1 specfiles checked; 1 errors, 0 warnings.



APPROVED, please fix the changelog before import. I'm deferring the rest of this to Rex and will contact him on IRC to review my review (and make me look bad).

--- Additional comment from Christopher Meng on 2013-09-11 05:40:53 EDT ---

APPROVED for what?

You don't have the power to sponsor him.

--- Additional comment from Dan Mashal on 2013-09-11 19:10:38 EDT ---

(In reply to Christopher Meng from comment #52)
> APPROVED for what?

I approved the package review itself and for rdieter to sponsor him.

--

Per conversation with rdieter on IRC

The new plan now is for Matt to take over for Tobias and submit a new review request, and close this request as a duplicate.

--- Additional comment from Christopher Meng on 2013-09-11 19:32:34 EDT ---

(In reply to Dan Mashal from comment #53)
> (In reply to Christopher Meng from comment #52)
> > APPROVED for what?
> 
> I approved the package review itself and for rdieter to sponsor him.
> 
> --
> 
> Per conversation with rdieter on IRC
> 
> The new plan now is for Matt to take over for Tobias and submit a new review
> request, and close this request as a duplicate.

I can only see Matt's comment here, however if you push this review further, it would be great. 

Thanks for your help.

Comment 1 Matt Rose 2013-09-13 16:47:48 UTC
The new package is rebuilt and available:

spec: http://folkwolf.net/adobe-source-code-pro-fonts.spec
SRPM: http://folkwolf.net/adobe-source-code-pro-fonts-1.017-3.fc19.src.rpm
RPM:  http://folkwolf.net/adobe-source-code-pro-fonts-1.017-3.fc19.noarch.rpm

It's identical to the one that was reviewed in Bug #860249, I just rebuilt it on fedora 19 and bumped the version.

Comment 2 Rex Dieter 2013-09-13 17:05:35 UTC
Thanks, prior review comments are still valid, current .spec looks mmm-mmm good.  APPROVED (and sponsored).  welcome to fedora.

Comment 3 Matt Rose 2013-09-13 18:34:34 UTC
New Package SCM Request
=======================
Package Name:  adobe-source-code-pro-fonts
Short Description: A set of mono-spaced OpenType fonts designed for coding environments
Owners: mattrose
Branches: f18 f19 f20 el6
InitialCC: ibotty

Comment 4 Gwyn Ciesla 2013-09-13 18:48:19 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-09-13 20:33:59 UTC
adobe-source-code-pro-fonts-1.017-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/adobe-source-code-pro-fonts-1.017-3.fc20

Comment 6 Fedora Update System 2013-09-13 20:35:22 UTC
adobe-source-code-pro-fonts-1.017-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/adobe-source-code-pro-fonts-1.017-3.fc19

Comment 7 Fedora Update System 2013-09-13 20:38:29 UTC
adobe-source-code-pro-fonts-1.017-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/adobe-source-code-pro-fonts-1.017-3.fc18

Comment 8 Fedora Update System 2013-09-13 20:40:13 UTC
adobe-source-code-pro-fonts-1.017-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/adobe-source-code-pro-fonts-1.017-3.el6

Comment 9 Fedora Update System 2013-09-14 17:46:47 UTC
adobe-source-code-pro-fonts-1.017-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-09-16 00:23:03 UTC
adobe-source-code-pro-fonts-1.017-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Matt Rose 2013-09-16 13:34:19 UTC
Package Change Request
======================
Package Name: adobe-source-code-pro-fonts
InitialCC: fonts-sig

Comment 12 Fedora Update System 2013-09-17 00:30:16 UTC
adobe-source-code-pro-fonts-1.017-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-12-14 03:05:01 UTC
adobe-source-code-pro-fonts-1.017-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Paul Flo Williams 2014-02-18 15:42:38 UTC
*** Bug 860249 has been marked as a duplicate of this bug. ***

Comment 15 Paul Flo Williams 2014-02-18 15:46:29 UTC
Package Change Request
======================
Package Name: adobe-source-code-pro-fonts
Branches: f19 f20 devel el6
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches.

Comment 16 Gwyn Ciesla 2014-02-18 16:26:28 UTC
Complete.


Note You need to log in before you can comment on or make changes to this bug.